Skip to main content
POST
/
api2
/
v1
/
transMemories
/
{transMemoryUid}
/
segments
Insert segment
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/segments \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceSegment": "<string>",
  "targetLang": "<string>",
  "targetSegment": "<string>",
  "nextSourceSegment": "<string>",
  "previousSourceSegment": "<string>",
  "sourceTagMetadata": [
    {
      "content": "<string>",
      "id": "<string>",
      "transAttributes": "<string>",
      "type": "<string>"
    }
  ],
  "targetTagMetadata": [
    {
      "content": "<string>",
      "id": "<string>",
      "transAttributes": "<string>",
      "type": "<string>"
    }
  ]
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/segments"

payload = {
"sourceSegment": "<string>",
"targetLang": "<string>",
"targetSegment": "<string>",
"nextSourceSegment": "<string>",
"previousSourceSegment": "<string>",
"sourceTagMetadata": [
{
"content": "<string>",
"id": "<string>",
"transAttributes": "<string>",
"type": "<string>"
}
],
"targetTagMetadata": [
{
"content": "<string>",
"id": "<string>",
"transAttributes": "<string>",
"type": "<string>"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sourceSegment: '<string>',
targetLang: '<string>',
targetSegment: '<string>',
nextSourceSegment: '<string>',
previousSourceSegment: '<string>',
sourceTagMetadata: [
{
content: '<string>',
id: '<string>',
transAttributes: '<string>',
type: '<string>'
}
],
targetTagMetadata: [
{
content: '<string>',
id: '<string>',
transAttributes: '<string>',
type: '<string>'
}
]
})
};

fetch('https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

transMemoryUid
string
required

Translation memory UID

Body

application/json

Segment to insert

A single TM segment (source/target pair with optional context) for insertion into a TM

sourceSegment
string
required

Source segment text

targetLang
string
required

Target language locale

targetSegment
string
required

Target segment text (translation)

nextSourceSegment
string

Context: following source segment

previousSourceSegment
string

Context: preceding source segment

sourceTagMetadata
object[]

Tag metadata for the source segment

targetTagMetadata
object[]

Tag metadata for the target segment

Response

No Content